org.bootchart.common

## Class Common.LogFileFilter

- java.lang.Object
- - org.bootchart.common.Common.LogFileFilter

- All Implemented Interfaces:
    java.io.FilenameFilter
  Enclosing class:
    Common

      public static class Common.LogFileFilter
      extends java.lang.Object
      implements java.io.FilenameFilter

  File name filter for bootchart log files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogFileFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File dir, java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogFileFilter

          public LogFileFilter()

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File dir,
                                java.lang.String name)

      Specified by:
        `accept` in interface `java.io.FilenameFilter`